# Hydrogen

[![npm](https://img.shields.io/npm/v/hydrogen-css.svg)](https://www.npmjs.com/package/hydrogen-css)

[Hydrogen](https://pimbrouwers.github.io/hydrogen/) is a lightweight modular CSS foundation designed for minimalists, with a powerful collection of components and utility classes. 

The aim of this project to allow for beautiful front-end's to be developed quickly.

Hydrogen is insanely tiny, the entire bundle weighing in at ~3KB minified and gzipped, designed with an ethos rooted in __performance as a feature__. 

 Core    | Grid-Utils | Components | Bundle  |
|---------|------------|------------|---------|
| 1.76KB | 604 bytes  | 756 bytes  | 2.85KB |

You can starting working with [Hydrogen](https://pimbrouwers.github.io/hydrogen/) in multiple ways. The option with least resistance is a `<link>` refencing the free unpkg CDN. 

### CDN

```html
<link rel="stylesheet" href="https://unpkg.com/hydrogen-css"/>
```

### NPM

```javascript
npm install hydrogen-css
```

## [Documentation](https://pimbrouwers.github.io/hydrogen/)

Full documentation of all features, components and utilities.

## Find a bug?

Submit it in the [issues](https://github.com/pimbrouwers/hydrogen/issues)

## License

Built with ♥ by [Pim Brouwers](https://github.com/pimbrouwers) in Toronto, ON. Licensed under [MIT](https://github.com/pimbrouwers/hydrogen/blob/master/LICENSE).
